<?php
session_start();
if($_SESSION["sistema"]!= "1"){ header("location: ../../index.php"); exit();}
require_once ("../../config/Cado.php");
require_once ("../empresa/cEmpresa.php");
$oEmpresa = new cEmpresa();
require_once ("cNotaalmacen.php");
$oNotalmacen = new cNotaalmacen();
require_once ("../impresora/cImpresora.php");
$oImpresora = new cImpresora();
require_once("../formatos/formato.php");
require_once("../formatos/numletras.php");
$notalm_id=$_POST['notalm_id'];
$dts=$oEmpresa->mostrarUno($_SESSION['empresa_id']);
$dt = mysqli_fetch_array($dts);
	
	$emp_nomcom=$dt['tb_empresa_nomcom'];
	$emp_razsoc=$dt['tb_empresa_razsoc'];
mysqli_free_result($dts);
//notalmacen
$dts= $oNotalmacen->mostrarUno($notalm_id);
$dt = mysqli_fetch_array($dts);
	$reg		=mostrarFechaHora($dt['tb_notaalmacen_reg']);
	$fec		=mostrarFecha($dt['tb_notaalmacen_fec']);
	//$cod		=str_pad($dt['tb_notaalmacen_cod'],4, "0", STR_PAD_LEFT);
	$tip		=$dt['tb_notaalmacen_tip'];
	$obs		=$dt['tb_notaalmacen_des'];
	$alm_id		=$dt['tb_almacen_id'];
	$alm_nom	=$dt['tb_almacen_nom'];
	$tip_nom	=$dt['tb_notaalmacentipo_nom'];
mysqli_free_result($dts);
$doc_actimp = 1;
$doc_imp_id= 1;
$doc_nom="NOTA DE ALMACEN";
//selección de impresora
if($doc_actimp==1)
{
	$imp_id=$doc_imp_id;
}
else
{
	$imp_id=$punven_imp_id;
}
//impresora
if($imp_id>0)
{
	$dts=$oImpresora->mostrarUno($imp_id);
	$dt = mysqli_fetch_array($dts);
		$imp_nom 	=$dt['tb_impresora_nom'];
		$imp_nomloc =$dt['tb_impresora_nomloc'];
		$imp_ser 	=$dt['tb_impresora_ser'];
		$imp_url 	=$dt['tb_impresora_url'];
		$imp_ip 	=$dt['tb_impresora_ip'];
	mysqli_free_result($dts);
}
//------------impresion
$data['imp_nom'] 	=$imp_nom;
$data['imp_nomloc'] =$imp_nomloc;
$data['imp_ser'] 	=$imp_ser;
$data['imp_url'] 	=$imp_url;
$data['imp_ip']	 	=$imp_ip;
//documento a imprimir
//if($doc_nom=='FACTURA')$archivo_destino='venta/venta_imppos_factura.php';
//if($doc_nom=='BOLETA')$archivo_destino='venta/venta_imppos_boleta.php';
//if($doc_nom=='PROFORMA')$archivo_destino='venta/venta_imppos_proforma.php';
//if($doc_nom=='TICKET')$archivo_destino='venta/venta_imppos_ticket_mat.php';
//if($doc_nom=='CONTROL INTERNO')$archivo_destino='venta/venta_imppos_ci_mat.php';
$archivo_destino='notalmacen/notaalmacen_imppos_ticket_mat.php';
$data['imp_doc']	=$imp_url.$archivo_destino;
 
$data['emp_razsoc'] =htmlspecialchars($emp_razsoc);
$data['emp_nomcom'] =htmlspecialchars($emp_nomcom);
$data['reg']= $reg;
$data['fecha']= $fec;
$data['tip']=$tip;
$data['tip_nom']=$tip_nom;
$data['obs']=$obs;
$data['alm_id'] = $alm_id;
$data['alm_nom']=$alm_nom;
/*
$data['ven_numdoc']	=$numdoc;
$data['ven_fec']	=$fec;
$data['ven_reg']	=$reg;
$data['cli_nom']	=$cli_nom;
$data['cli_numdoc']	=$cli_doc;
$data['cli_dir']	=$cli_dir;
$data['usu_nom']	="".$punven_nom."/C".$caj_id;
$data['vended_nom']	=$vended_nom;
$data['ven_valven']	=formato_money($valven);
$data['ven_igv']	=formato_money($igv);
$data['ven_tot']	=formato_money($tot);
$data['ven_totlet']	=numtoletras($tot);*/
//Detalle de nota de almacen
$dts1=$oNotalmacen->mostrar_notaalmacen_detalle($notalm_id);
$num_rows= mysqli_num_rows($dts1);
$numero_filas=$num_rows;
if($numero_filas>=1){
	while($dt1 = mysqli_fetch_array($dts1))
	{
		
		$data['almacendetalle_can'][]=$dt1['tb_notaalmacendetalle_can']*1;
		$data['almacendetalle_art'][]=sanear_string($dt1['tb_producto_nom']);
	
	}
	mysqli_free_result($dts1);
}
echo json_encode($data);
function sanear_string($string)
{
 
    $string = trim($string);
 
    $string = str_replace(
        array('á', 'à', 'ä', 'â', 'ª', 'Á', 'À', 'Â', 'Ä'),
        array('a', 'a', 'a', 'a', 'a', 'A', 'A', 'A', 'A'),
        $string
    );
 
    $string = str_replace(
        array('é', 'è', 'ë', 'ê', 'É', 'È', 'Ê', 'Ë'),
        array('e', 'e', 'e', 'e', 'E', 'E', 'E', 'E'),
        $string
    );
 
    $string = str_replace(
        array('í', 'ì', 'ï', 'î', 'Í', 'Ì', 'Ï', 'Î'),
        array('i', 'i', 'i', 'i', 'I', 'I', 'I', 'I'),
        $string
    );
 
    $string = str_replace(
        array('ó', 'ò', 'ö', 'ô', 'Ó', 'Ò', 'Ö', 'Ô'),
        array('o', 'o', 'o', 'o', 'O', 'O', 'O', 'O'),
        $string
    );
 
    $string = str_replace(
        array('ú', 'ù', 'ü', 'û', 'Ú', 'Ù', 'Û', 'Ü'),
        array('u', 'u', 'u', 'u', 'U', 'U', 'U', 'U'),
        $string
    );
 
    $string = str_replace(
        array('ñ', 'Ñ', 'ç', 'Ç'),
        array('n', 'N', 'c', 'C',),
        $string
    );
 
    //Esta parte se encarga de eliminar cualquier caracter extraño
    /*$string = str_replace(
        array("\", "¨", "º", "-", "~",
             "#", "@", "|", "!", """,
             "·", "$", "%", "&", "/",
             "(", ")", "?", "'", "¡",
             "¿", "[", "^", "<code>", "]",
             "+", "}", "{", "¨", "´",
             ">", "< ", ";", ",", ":",
             ".", " "),
        '',
        $string
    );*/
  
    return $string;
}
?>